Package org.eclipse.lemminx.uriresolver

## Interface URIResolverExtension

All Superinterfaces:
  `org.apache.xerces.xni.parser.XMLEntityResolver`

All Known Implementing Classes:
  `RelaxNGURIResolverExtension`, `URIResolverExtensionManager`, `XMLCacheResolverExtension`, `XMLCatalogResolverExtension`, `XMLCatalogURIResolverExtension`, `XMLFileAssociationResolverExtension`, `XSDURIResolverExtension`, `XSLURIResolverExtension`

    public interface URIResolverExtension
    extends org.apache.xerces.xni.parser.XMLEntityResolver

URI resolver API

### Field Summary

Fields
`static String` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default String` `getName()`
`String` `resolve​(String baseLocation, String publicId, String systemId)`
`default org.apache.xerces.xni.parser.XMLInputSource` `resolveEntity​(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)`

### Field Detail

#### DEFAULT

    static final String DEFAULT

See Also:
  Constant Field Values

### Method Detail

#### getName

    default String getName()

#### resolve

    String resolve​(String baseLocation,
                   String publicId,
                   String systemId)

Parameters:
  `baseLocation` - - the location of the resource that contains the uri
  `publicId` - - an optional public identifier (i.e. namespace name), or null if none
  `systemId` - - an absolute or relative URI, or null if none
Returns:
  an absolute URI representation of the 'logical' location of the resource

#### resolveEntity

    default org.apache.xerces.xni.parser.XMLInputSource resolveEntity​(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)
                                                               throws org.apache.xerces.xni.XNIException,
                                                                      IOException

Specified by:
  `resolveEntity` in interface `org.apache.xerces.xni.parser.XMLEntityResolver`
Throws:
  `org.apache.xerces.xni.XNIException`
  `IOException`